﻿@model InternetShopWebProject.Common.Models.CardInfo

@Html.HiddenFor(m => m.Id)

<link href="~/Content/Card-info.css" rel="stylesheet" type="text/css" />

<div>
    <div class="info-content">
        <div class="image-place">
            <img src="~/Content/Image/@Model.Sticker.Image" />
        </div>
        <div class="info-place">
            <div>
                <h4>@Model.Sticker.Name</h4>
            </div>
            <div>
                @if (Model.Sticker.Available)
                {
                    <h6 class="text-success">Є в наявності</h6>
                }
                else
                {
                    <h6 class="text-danger">Немає в наявності</h6>
                }
            </div>
            <hr />
            <div style="margin-top:20px">
                <h4>@Model.Sticker.Price</h4>

                @if (Model.InBag)
                {
                    @Html.ActionLink("В корзині", "RemoveFromShoppingBag", "ShoppingBag", new { id = Model.Id, returnUrl = Request.Url }, new { @class = "btn btn-outline-success", id = Model.Id })
                }
                else
                {
                    @Html.ActionLink("Купити", "AddToShoppingBag", "ShoppingBag", new { id = Model.Id, returnUrl = Request.Url }, new { @class = "btn btn-outline-secondary", id = Model.Id })
                }
            </div>
            <h5 style="margin-top:10px">@Model.Sticker.Size</h5>
            <hr />
            @Html.Partial("_OrderInfoPartial")
        </div>

    </div>

    <div class="comments-area">
        <ul class="nav nav-tabs" id="DescribeAndCommentTab" role="tablist">
            <li class="nav-item">
                <a class="nav-link @(!Model.NewCommentAdded ? "active" : "")" id="describe-tab" data-toggle="tab" href="#describe" role="tab" aria-controls="describe" aria-selected="true">
                    Опис
                </a>
            </li>
            <li class="nav-item">
                <a class="nav-link @(Model.NewCommentAdded ? "active" : "")" id="comment-tab" data-toggle="tab" href="#comment" role="tab" aria-controls="comment" aria-selected="false">
                    Відгуки
                </a>
            </li>
        </ul>
        <div class="tab-content" id="DescribeAndCommentTabContent">
            <div class="tab-pane fade @(!Model.NewCommentAdded ? "show active" : "")" id="describe" role="tabpanel" aria-labelledby="describe">
                Стикер изготовлен из высококачественной плёнки. Покрыт ламинацией с УФ защитой изображения от выцветания, намокания и механических повреждений. Ламинация тонкая и мягкая. Качество печати 4880 dpi. Продукция подходит для нанесения на различные поверхности такие как: металл, пластик, стекло, плотную кожу. Отлично клеится на ноутбук, велосипед, автомобиль, гитару, байк, шлем, телефон, плеер, скейтборд, сноуборд и т.д. Снимается не оставляя следов на поверхности.
            </div>
            <div class="tab-pane fade @(Model.NewCommentAdded ? "show active" : "")" id="comment" role="tabpanel" aria-labelledby="comment">
                <div class="product-commments">
                    @foreach (var coment in Model.Comments)
                    {
                        @Html.Partial("_CommentPartial", coment)
                    }
                </div>
                @Html.Partial("_NewCommentPartial", Model)
            </div>
        </div>

    </div>
</div>


@if (Model.NewCommentAdded)
{
    <script>
        window.addEventListener('DOMContentLoaded', (event) => {
            window.scrollTo(0, document.body.scrollHeight);
        });
    </script>
}